# Deleting a Topic

#### Description

- API name

  DeleteTopic

- Function

  Delete a topic and its subscribers. If a topic is deleted, a pending message will fail to deliver to the topic subscribers.

#### URI

- URI format

  DELETE /v2/{project_id}/notifications/topics/{topic_urn}

- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  project_id | Yes | String | Project ID See Obtaining a Project ID.
  topic_urn | Yes | String | Unique resource ID of a topic. You can obtain it according to Querying Topics.

#### Request

Request example

    DELETE https://{SMN_Endpoint}/v2/{project_id}/notifications/topics/urn:smn:regionId:f96188c7ccaf4ffba0c9aa149ab2bd57:test_topic_v2

#### Response

- Parameter description

  Parameter | Type | Description
  --- | --- | ---
  request_id | String | Request ID, which is unique

- Response example

      {
           "request_id": " 5fcba32bd2814ea39431829c22bda94b",
      }

#### Returned Value

See section Returned Value.

#### Error Code

See section Error Code.

Parent topic: Topic Operations